---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/questions/events_v1_views_questions_move_question_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Move question

<!-- markdownlint-disable-file -->

Moves a question.


Display condition consistency is validated.


Parameters:

- **survey_id**: form ID

- **question_id**: question ID

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey_id}/questions/{question_id}/move
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_question_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_survey_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[a-fA-F\d]{24}$`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "question": 0,
  "page": 0,
  "page_id": 0,
  "create_page": false,
  "position": 1
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_create_page_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

Create a new page and place the question on it. Used together with the `page` parameter.

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
||

_page_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Page number (1-based)

_Min value:_{.json-schema-reset .json-schema-assertion} `0`
{.table-cell}
||
||

_page_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Page ID
{.table-cell}
||
||

_position_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

New position of the question on the page (1-based)

_Min value:_{.json-schema-reset .json-schema-assertion} `1`
{.table-cell}
||
||

_question_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: integer

- **Type**: string

  _Example:_{.json-schema-reset .json-schema-example} `example`

{% endcut %}

Question ID or slug to move into the question series

_Example:_{.json-schema-reset .json-schema-example} `0`
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": 0
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Question ID
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.